Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.http.webdav
Interface WebDAVMethod

All Known Implementing Classes:
  AbstractWebDAVMethod, Options

public interface WebDAVMethod

Interface for all WebDAV methods.

Author:
  wolf

Method Summary
`void` | `process(User user, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, XmldbURI path)` Process a WebDAV request.

Method Detail

### process

    public void process(User user,
                        javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response,
                        XmldbURI path)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Process a WebDAV request. The collection and resource parameters are set to the corresponding objects selected by the request path. The user parameter represents a valid database user.

  Parameters:
    `user` -
    `request` -
    `response` -
    `path` -
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.